precision highp float;
 varying highp vec2 textureCoordinate;
 
 uniform sampler2D inputImageTexture;
 uniform sampler2D inputImageTexture2; //map
 
 uniform float p1;

 void main()
 {
     vec4 color = texture2D(inputImageTexture, textureCoordinate);
     vec4 textureColor = texture2D(inputImageTexture2, textureCoordinate);

     vec4 result = textureColor;
     result.rgb = mix(color.rgb ,textureColor.rgb, p1);

     gl_FragColor = result;
 }