 precision mediump float;

 varying vec2 textureCoordinate;
 
 uniform sampler2D inputImageTexture;
 uniform sampler2D inputImageTexture2;  //curve
 
 void main()
 {
     vec2 newTextureCoordinate;
     
     if (textureCoordinate.x < 0.5)
     {
         if (textureCoordinate.y < 0.5)
         {
             newTextureCoordinate = vec2(textureCoordinate.x * 2.0 ,textureCoordinate.y *2.0);
             vec4 textureColor = texture2D(inputImageTexture, newTextureCoordinate);
             
             vec4 mapped;
             mapped.r = texture2D(inputImageTexture2, vec2(textureColor.r, 0.0)).r;
             mapped.g = texture2D(inputImageTexture2, vec2(textureColor.g, 0.0)).g;
             mapped.b = texture2D(inputImageTexture2, vec2(textureColor.b, 0.0)).b;
             mapped.a = 1.0;
             
             gl_FragColor = vec4(mix(textureColor.rgb, mapped.rgb, 1.0), 1.0);
         }
         else
         {
             newTextureCoordinate = vec2(textureCoordinate.x * 2.0 ,(textureCoordinate.y - 0.5) *2.0);
             vec4 textureColor = texture2D(inputImageTexture, newTextureCoordinate);
             
             vec4 mapped;
             mapped.r = texture2D(inputImageTexture2, vec2(textureColor.r, 0.0)).r;
             mapped.g = texture2D(inputImageTexture2, vec2(textureColor.g, 0.0)).g;
             mapped.b = texture2D(inputImageTexture2, vec2(textureColor.b, 0.0)).b;
             mapped.a = 1.0;
             
             gl_FragColor = vec4(mix(textureColor.rgb, mapped.rgb, 1.0), 1.0);
             
         }
     }
     else
     {
         if (textureCoordinate.y < 0.5)
         {
             newTextureCoordinate = vec2((textureCoordinate.x - 0.5) * 2.0 ,textureCoordinate.y *2.0);
             vec4 textureColor = texture2D(inputImageTexture, newTextureCoordinate);
             
             vec4 mapped;
             mapped.r = texture2D(inputImageTexture2, vec2(textureColor.r, 0.0)).r;
             mapped.g = texture2D(inputImageTexture2, vec2(textureColor.g, 0.0)).g;
             mapped.b = texture2D(inputImageTexture2, vec2(textureColor.b, 0.0)).b;
             mapped.a = 1.0;
             
             gl_FragColor = vec4(mix(textureColor.rgb, mapped.rgb, 1.0), 1.0);
         }
         else
         {
             newTextureCoordinate = vec2((textureCoordinate.x - 0.5) * 2.0 ,(textureCoordinate.y - 0.5) *2.0);
             vec4 textureColor = texture2D(inputImageTexture, newTextureCoordinate);
             
             vec4 mapped;
             mapped.r = texture2D(inputImageTexture2, vec2(textureColor.r, 0.0)).r;
             mapped.g = texture2D(inputImageTexture2, vec2(textureColor.g, 0.0)).g;
             mapped.b = texture2D(inputImageTexture2, vec2(textureColor.b, 0.0)).b;
             mapped.a = 1.0;
             
             gl_FragColor = vec4(mix(textureColor.rgb, mapped.rgb, 1.0), 1.0);
         }
     }
 }
